import { reactive } from 'vue'

export function searchLogic(callback: (value: string) => void) {
  const searchData = reactive({
    formData: {
      keyword: ''
    },
    searchList: () => {
      callback(searchData.formData.keyword)
    }
  })
  return {
    ...searchData
  }
}
